# CaseContainer
加载后台模板容器

## 用法

```html
<case-container path="rs/file/vue/工单派发.vue" :data="data" :special="type" @container-event="test"></case-container>
```
## 参数说明
- path: 获取页面模板路径
- data：页面展示所用数据(可由外部传入，也可由组件自己获取)
- url：页面展示数据的请求地址（）
- urlParams： 页面展示数据的请求所需参数
- special： 页面所需的一些额外数据，例如要区分radio，id需要加入变量，可以使用本字段传入

#特殊函数说明
`save(...serves)`： 如果要调用组件内部`save()`保存函数，需要传入做那些服务，当前包含`save`(一般保存)/`workflow`(执行工作流)/`record`(保存记录)，数据全部从data中获取

## 事件说明
- container-event: 模板页面的操作，除保存外的所有事件，调用`added(data, row)`函数，参数由模板页面写明。

## 测试用例

请参考CaseContainer测试用例。
