# Chooser
部门人员选择器

## 用法

具体使用如下：

```html
      <chooser tool-str="getFullTree" :userid.sync='f.id' resource-type="organization" :width='200' :select-data.sync='model.chosenOrg'></chooser>
```
其中：
- userid: 用户id，一般为当前登录用户的id,必须传递，有验证！
- resourceType：资源类型，为organization（组织机构）、user（用户）、function（功能），可以不用传，默认为user（用户）
- width:：最大宽度，下拉框的最小宽度为160px，下拉框的实际宽度会根据内容在最大宽度和最小宽度内自动适应，超出最大宽度后自动换行，默认最大宽度为200px。
- toolStr：资源处理工具字符串，默认为getFullTree，具体参照ldap资源表达式doc文档
- selectData: 为部门人员选择器暴露出来的数据，当点击选择数据后，可通过:select-data.sync='model.chosenOrg'将数据绑定到自己的组件数据当中，:select-data.sync为固定写法（因为数据验证要求为双向绑定），不可改变，也可通过v-ref的方式获取selectData数据

## 测试用例

请参考Chooser测试用例。
