# DataModel

一般的从后台根据查询条件获取数据的组件。

## 用法
```
new DataModel(url, params)
```
* url: 从后台获取数据的url
* params: 除正常查询条件外，附加到后台sql中的参数，可以为空。格式为：{参数名: 参数值}，参数值是字符串形式的表达式。

## 属性

- data: 从后台获取到的数据，纯文本格式
- state: 状态，字符串型，包括：初始(默认)，错误，正确
- error：出现错误时的内容

## 方法

- search (condition, model): 执行后台查询过程。参数说明
  * condition: 由查询组件等产生的查询条件字符串。
  * model：由用户输入的查询内容。
