# DataOrder
表头排序组件

## 用法
```html
<data-grid :model='model' @sort="sort">
  <template partial='head'>
    <tr>
      <th><data-order field="name" name="姓名" :order.sync="rule"></data-order></th>
      <th><data-order field="age" name="年龄" :order.sync="rule"></data-order></th>
    </tr>
  </template>
  ...
</data-grid>
```

## 参数
- field： 需要排序的字段
- order： 排序的规则，分为三种： asc, desc, no,默认为no
- name： 排序列的表头名

## 事件
- 每次点击可排序表头时，会发送'sort'事件，之间携带两个参数字段名和排序规则
- 每次点击排序时，规则按照asc->desc->no循环进行切换，顺序不变

**排序的互斥需要自己实现**
