#EventBack
服务执行插件：
对传入的每个服务进行依次执行，当某一服务执行失败时对所有程序进行回滚

##用法
将每个服务封装到一个对象数组中，对象包含：
服务执行方法doAction()，对服务进行调用，成功返回true，失败false
保存方法commit()，
回滚方法rollback()

```html
    let servcie = [{
      doAction () {
      },
      commit () {
      },
      rollback () {
      }
    },
    ......
    ]
```
使用eventBack对服务依次执行
```html
  await Vue.eventBack(servcie)
```
当服务全部返回true时，所有服务依次执行各自的commit()方法
当存在有服务返回false时，所有以执行的服务依次执行各自的rollback()方法

## 测试用例

请参考EventBack测试用例。
