## FileUpload

文件上传组件，支持同时选择多个文件


## 用法

1. 选择单个文件上传时
```html
<file-upload name="File" action="rs/excel" tagname="上传单个文件"></file-upload>
```
1. 同时选择多个文件上传时
```html
<file-upload  name="Files" id="myCustomId" action="rs/excel" tagname="上传多个文件" multiple></file-upload>
```

## 参数

name：元素的name属性（与id必须填写一个）
id：元素的id属性（与name必须填写一个）
multiple：是否允同时选择多个文件
tagname：上传文件按钮上显示的文字（必须填写）
action：上传文件的路径url（必须填写）
accept：用于向浏览器告知需要接受的属性
headers：请求头部
method：用于上传文件的方式（一般不填写，默认为POST）

## 事件监听

onFileClick：点击选择文件输入时派发
onFileChange：选择好文件后，点击打开后派发
beforeFileUpload：文件上传前派发
afterFileUpload：文件上传后派发
onFileProgress：上传的进度派发
onFileUpload：上传成功后派发
onFileError：上传失败派发
onAllFilesUploaded：批量上传时，全部上传完成后执行


## 测试用例

请参考ExportExcel测试用例。
