# FormPrint

连续打印列表中的数据。

## 用法

把打印组件直接当做按钮使用，如下：

```html
  <form-print :model='$parent.model' url='rs/report/test' top='88' left='200' width='350' height='600'></form-print>
```
其中：
- model: 列表对应的model
- url：报表对应的url
- top: 打印项在纸张内的上边距，整数或字符型，整数时缺省长度单位为px
- left: 打印项在纸张内的左边距，整数或字符型，整数时缺省长度单位为px
- width: 打印区域的宽度，整数或字符型，整数时缺省长度单位为px
- height: 打印区域的高度，整数或字符型，整数时缺省长度单位为px

## 测试用例

请参考CriteriaPaged中ProjectList组件用法。
