# GetParams

从已获取的所有资源服务参数管理的所有参数中获取指定的参数

## 用法

要使用当前插件获取资源服务参数，必须是用LoadParams组件进行路由，当数据加载完成后会自动跳转到指定页面，当数据加载失败时，界面会停留在LoadParams界面提醒加载失败
```html
 <route name="param-test" :comp="{name: 'load-params', datasql: 'rs/sql/getParams'}"></route>
```
在自己的组件调用获取下拉框中的内容

```html
  this.$getParams("name",['默认值1', '默认值2',...])
```
或，为了解决label和value值不相符时可以使用
```html
  this.$getParams("name",[{label: '默认值', value: ''}])
```
获取自动补全的内容
```html
  this.$getContent("name",['默认值1', '默认值2',...])
```
## 参数
- name：获取资源服务内容对应的字段名
- init：为内容添加的默认值，默认值为数组形式，可以不用写
</br></br>
**注意：对于getParams函数，只只传入一个值可以使用单引号'默认值'也可以**


## 测试用例
请参考VSelect测试用例用法。
