# GetParams
加载资源服务的单值参数，或指定sql路径的数据，并将获取到的数据储存到AppData中

## 用法
要使用插件获取资源服务参数，必须是用LoadParams组件进行路由，当数据加载完成后会自动跳转到指定页面，当数据加载失败时，界面会停留在LoadParams界面提醒加载失败
```html
 <route :comp="{name: 'load-params', props: {dataUrl: 'rs/sql/getParams', componentName: 'param-test'}}"></route>
```
## 参数
- dataUrl：指定获取数据路径，可以不写，当没有时，默认路径为“rs/sql/getParams”获取后台资源服务参数管理中的数据
- componentName: 自己的组件名，获取到相应的数据后，自动跳转到的界面（不能为空）
## 指定路径获取数据注意事项
1. 当使用指定路径获取数据时，数据格式必须为固定格式，其中数据必须包含label和value字段。
1. 其中value值是数据帅选时传入的name值，label是筛选后获取的数据（一个value对应多个label）

## 测试用例
请参考VSelect测试用例用法。
