# PrintFile

连续打印缴费中的数据。

## 用法

把打印组件直接当做按钮使用，如下：

```html
<print-file url='rs/sql/getPrintcontent'
            logicurl='/rs/logic/printfile'
            userid='1120002568'
            :top='100'
            :left='100'
            :width='600'
            :height='1000'
            :rowheight='38'
            :lines='25'
            :emptyline='13'
            :emptylineheight='40'
            :font-size='12'
            ></print-file>
```
其中：
- url: 打印内容对应的url
- logicurl: 修改打印行数并将已经打印过字段值修改为已打印的业务逻辑url
- userid: 打印用户的userid
- top: 打印项在纸张内的上边距，整数或字符型，整数时缺省长度单位为px
- left: 打印项在纸张内的左边距，整数或字符型，整数时缺省长度单位为px
- width: 打印区域的宽度，整数或字符型，整数时缺省长度单位为px
- height: 打印区域的高度，整数或字符型，整数时缺省长度单位为px
- rowheight: 行高
- lines: 每页打印的行数，（当有空行时，包含空行）
- :emptylineheight: 空行的高度，当没有时随便填写一个数字即可
- emptyline: 空行的位置（在本测试用例中，打印的内容分上下两部分，中间有一个空行，0-11行为上半部分，12为空行，13-24行为下半部分，当没有空行时，将空行的值设置一个大于行数值即可）
- font-size:打印是的字体大小值，默认为10。
- ids：补打时的所需的数据id</br></br>
**注意：所有参数没有默认值，必须填写**


## 测试用例

请参考PrintFile测试用例用法。
