# androidUtil

提供安卓在pc上进行测试的支持。

## 用法

androidUtil作为插件，放到了vue中，使用方式如下:
```
this.$androidUtil.方法
Vue.androidUtil.方法
```

## 配置

在main.js中，添加如下代码:
```
// 设置为pc端测试方式
Vue.androidUtil.isTest = true
// 数据服务地址
Vue.androidUtil.baseUrl = 'http://192.168.90.129:8081/yulinsafecheck'
// 资源服务地址
Vue.androidUtil.loginUrl = 'http://192.168.50.202:8081'
```

## 功能

- alert(msg): 显示提示信息
- getDataUrl(): 获取数据服务地址
- getLoginUrl(): 获取资源服务地址
- read(): 读取卡信息
- bzLogic (logic, data): 调用业务逻辑
- delfile (filename): 删除文件
- getCallBack (compnent): 照相回传后，对象获取，只是照相组件用
- takePic (self, callback, fileName): 拍照
* self: 组件
* callback: 拍照完成后的回调函数
* fileName: 拍照时的文件名
