# TestUtil
测试的工具类。

## 创建要测试的组件
    // 引入测试工具
    import {TestUtil} from 'vue-client'
    // 引入要测试的组件
    import Test from 'src/component/Test'
    // 创建测试组件，第二项参数为组件所需props
    let vm = TestUtil.createTest(Test, {msg: '测试标题'})

## 创建异步完成测试组件
    // 引入测试工具
    import {TestUtil} from 'vue-client'
    // 引入要测试的组件
    import Test from 'src/component/Test'
    // 创建测试组件，因为是异步的，所有按promise做法
    return TestUtil.createAsyncTest(Test, {p1: '测试1', p2: {age: 3}}).then((resolve) => {
       vm = resolve
     })

异步组件在完成初始工作后，要发出ready事件，一般是在ready()钩子中做。

    ready () {
      setTimeout(() => {
        this.$emit('ready')
      }, 100)
    },

## 测试用例
fromsample测试用例采用了测试工具类。
