//将该结构传入的属性值 替换 传入的查询条件的值
/*例：
* model{name:xx,age:11}
* json{name:"={}",age:"={}"}
*
* 调用search(json) {return : name = 'xx' and age='11'}
* */
export default class Search{

  // 存数据
  model = {};
  // 设置属性
  setField(name, value) {
    this.model[name] = value;
  }

  // 产生条件
  // json: {name: 'username={}'}
  // 返回：如果model内容为空，返回1=1.
  search(json){
        let jsonstr='';
        for(let k in this.model){//遍历model的key
          try {
            if(this.model[k] && json[k]){
                if(!jsonstr){
                  jsonstr += json[k].replace(/{}/g,this.model[k]);
                }else{
                  jsonstr += " and "+json[k].replace(/{}/g,this.model[k]);
                }
            }
          } catch (err) {
            err.message += ", 属性名：" + k
            throw err
          }
        }
        if(!jsonstr){
          return "1 = 1 ";
        } else {
          return jsonstr;
        }
    }
//传入参数名列表，从model中获取对应属性值组装 最后返回json对象
    getModels(names){
      let models={}
      names.reduce((pre,vel) => {
        if(this.model[vel]){
          models[vel]=this.model[vel]
        }
      },0)
      return models
    }

}
