import Vue from 'vue'

let AlertBox = {
  install (Vue, options) {
    // 给vue增添对话框显示方法
    Vue.showAlert = Vue.prototype.$showAlert = function (msg, type, duration) {
      AlertBox.msg = msg
      AlertBox.type = type
      AlertBox.duration = duration
      AlertBox.show = true
    }

    // 给vue增添对话框关闭方法
    Vue.closeAlert = Vue.prototype.$closeAlert = function () {
      AlertBox.show = false
    }
  }
}

Vue.set(AlertBox, 'show', false)
Vue.set(AlertBox, 'msg', '')
Vue.set(AlertBox, 'type', '')
Vue.set(AlertBox, 'duration', 0)

export default AlertBox
