import Vue from 'vue'

let AlertBoxBatch = {
  install (Vue, options) {
    // 给vue增添对话框显示方法
    Vue.showBatchAlert = Vue.prototype.$showBatchAlert = function (msg, type, duration) {
      AlertBoxBatch.msg = msg
      AlertBoxBatch.type = type
      AlertBoxBatch.duration = duration
      AlertBoxBatch.show = true
    }

    // 给vue增添对话框关闭方法
    Vue.closeAlert = Vue.prototype.$closeBatchAlert = function () {
      AlertBoxBatch.show = false
    }
  }
}

Vue.set(AlertBoxBatch, 'show', false)
Vue.set(AlertBoxBatch, 'msg', '')
Vue.set(AlertBoxBatch, 'type', '')
Vue.set(AlertBoxBatch, 'duration', 0)

export default AlertBoxBatch
