import all from 'src/all'
import TestUtil  from 'src/test/TestUtil'
import InquireLog from 'src/components/InquireLog'

describe('InquireLog: 查询日志', () => {
  let vm = null
  before(() => {
    all()
  })
  it('显示', function() {
    vm =  TestUtil.createTest(InquireLog)
  })

  it('获取日志', function () {
    vm =  TestUtil.createTest(InquireLog)
    vm.model.date='2018-11-06'
    let rt = vm.$refs.logtext
    console.log(rt)
    assert.isNotEmpty(rt)

  })

  it('获取关键词日志', function () {
    vm =  TestUtil.createTest(InquireLog)
    vm.model.date='2018-11-06'
    vm.model.keyword='processid'
    vm.selLog();
    let rt = vm.$refs.logtext
    console.log(rt)
    assert.isNotEmpty(rt)
  })
})


