import Vue from 'vue'
import List from 'src/components/List'
import all from 'src/all'

all()

describe('List.vue', () => {
  it('should render correct contents', () => {
    const vm = new Vue({
      data: {
        model: {
          rows: [{name: 'a'}]
        }
      },
      template: '<div><list :model="model"><span partial>{{row.name}}</span></list></div>',
      components: { List }
    }).$mount()
    assert.include(vm.$el.innerText, 'a')
  })
})

// also see example testing a component with mocks at
// https://github.com/vuejs/vue-loader-example/blob/master/test/unit/a.spec.js#L24-L49
