import Vue from 'vue'
import Async from 'src/plugins/Async'
import all from 'src/all'
import TestUtil from 'src/test/TestUtil'
import TestAsync from './TestAsync'

all()

describe('mixins/Async.js: 异步混合插件', () => {
  before(() => {
    Vue.use(Async)
  })

  it('测试异步ready', async function () {
    let vm = await TestUtil.createAsyncTest(TestAsync, {})
    assert.equal('parent', vm.msg)
    assert.equal('def', vm.$refs.child.msg)
  })
})

// also see example testing a component with mocks at
// https://github.com/vuejs/vue-loader-example/blob/master/test/unit/a.spec.js#L24-L49
