import Vue from 'vue'
import DataModel from 'src/stores/DataModel'
import all from 'src/all'

all()

describe('store/DataModel.js: 加载打印数据', () => {
  before(() => {
  })

  it('正确加载', async function() {
    // 清除jwt内容
    Vue.$login = {jwt: null}
    let bill = new DataModel('rs/report/pre_sell', {reprint: "'正常'"})
    await bill.search(53)
    assert.equal(bill.state, '正确')
  })
})

// also see example testing a component with mocks at
// https://github.com/vuejs/vue-loader-example/blob/master/test/unit/a.spec.js#L24-L49
