# CriteriaData

产生查询条件，并且去后台请求数据

## 用法
```
   <criteria>
     <div partial>
     </div>
   </criteria>
```
在这里放置一个文本框，传给基础组件去后台请求的路径url
```
 <div>
    <label>请求数据的路径:</label><input type="url" v-model="url">
      <criteria-data v-bind:outerurl="url"></criteria-data>
  </div>
```
在partial里放置查询条件，查询条件格式如下：
```
      <div class="form-group">
        <label class="col-sm-2 control-label">时间:</label>
          <div class="col-sm-4">
            <input type="date" v-model="model.date"
                   condition="date = '{}'" class="form-control">
          </div>
      </div>
```
其中 v-model 指定查询条件对象的字段，字段前冠以`model.`前缀，`condition`属性为查询条件对应的查询条件，如引用model中的数据时表达式要以`this.model.`开始

## 事件

* getData:
点击按钮时触发，会先调用条件组件的方法来拼接条件，接着去后台请求数据


### 测试用例

请参考CriteriaData测试用例用法。
