# Keyboard
软件盘组件

## 用法
```html
  <keyboard  @input="add" :show="key" layouts='123|456|789|0{删除:backspace}'></keyboard>
```
具体使用，参照Keyboard测试用例

## 参数
value: 键盘输入的最大值
layouts： 键盘按键布局字符串，默认`[
  '1234567890{删除:backspace}|qwertyuiop|asdfghjkl|{转大写:goto:1}zxcvbnm|{空格:space}',
  '!@#$%^&*(){删除:backspace}|QWERTYUIOP|ASDFGHJKL|{转小写:goto:0}ZXCVBNM|{空格:space}'
]`,如果需要数字键，使用`layouts='123|456|789|0{删除:backspace}'`
maxlength: 键盘按键行的最大长度，默认16
pattern：正则表达式
show：是否显示软键盘，默认不显示

## 事件
- input: 每次点击软键盘按钮，都发送发送input事件，含有一个按键内容的参数
- clear：清除事件
- hide-keyboard：键盘隐藏事件

## 测试用例
请参考Keyboard测试用例用法
