# PrintFormCont

- 表单连续打印组件
- 表单连续打印组件是专门为自定义表单做的连续打印组件，打印通常有查询和表单两个界面，打印组件必须和要打印的表单放到一个界面，打印控件获取的打印内容是从界面获取的，更换数据是由打印控件自动更换的。

## 使用时注意事项

1. 将打印区域设置id，并将id值传给打印组件
2. 将查询组件中的model通过表单组件传递给打印控件，其余打印控件所需的参数和其余打印组件相同
3. 打印组件必须和要打印的表单放到一个界面，打印组件打印时从界面获取打印内容。

# 参数设置

- id ：需要但因的区域id，打印控件获取打印内容的必须参数
- model ： 查询列表查询到的model，打印控件加载数据时必须参数。或者为数组形式的数据集合，打印控件直接遍历即可
- percent： 打印模式，有三种模式，“Full-Width” –宽度按纸张的整宽缩放；“Full-Height”–高度按纸张的整高缩放：“Full-Page” –按整页缩放，也就是既按整宽又按整高缩放；不会混合使用，默认值为“Full-Width”（有默认值，可以不用传）
- top: 打印项在纸张内的上边距，整数或字符型，整数时缺省长度单位为px
- left: 打印项在纸张内的左边距，整数或字符型，整数时缺省长度单位为px
- width: 打印区域的宽度，整数或字符型，整数时缺省长度单位为px
- height: 打印区域的高度，整数或字符型，整数时缺省长度单位为px

**注意事项: model不是一个数组时，传入的必须是一个可执行loadPage()函数的对象**
