# SelectMenu
新的菜单页菜单

## 注意事项
SelectMenu只支持二级菜单，当有二级菜单时第一级菜单不可点击

## 用法
把数据通过model参数传递给SelectMenu组件

## 用法
```html
<template>
  <div style="background:  #00A3F0;">
    <select-menu :model="model">
    </select-menu
  </div>
</template>
```

## model

传递给tree组件的数据必须具有层次结构，每个节点特殊属性如下：

* children：数组，代表所有子节点
* size：整形，代表子节点个数。对异步数据，在没有加载所有子节点前，需要把子节点个数先加载过来，以便确定该节点是否叶子节点。

model例子如下：
```
data () {
  return {
    model: [
      {name: '根节点', size: 1, children: [
        {name: '子节点', size: 0}
      ]}
    ]  
  }
}
```
## 选择
SelectMenu支持选择功能，具体参考[Selector](Selector.md)描述。

## 测试用例

请参考SelectMenu测试用例用法。
