# 页面内权限控制
- 页面的内的权限控制说明


# 用法

1. 创建功能时，在功能信息页面选择类型中选择"功能"选项， 选择功能类型下拉框选择页面菜单，如果页面不要权限控制，按照一般创建流程即可
2. 在left-tree中打开页面时， 加入传参
```js
  this.$goto(row.data.link, { auth: row.authority }, 'main')
```
3. 页面有需要控制是用props接收,
```js
props: {
  auth: {
    type: Array,
    default: function () {
      return []
    }
  }
},
```
或者
```js
  props: ['auth']
```
auth是个数组，包含功能授权过的每一个授权功能对象，拿到数据后各个页面自行处理
