import Vue from 'vue'
Vue.mmType = Vue.prototype.mmType = ''
Vue.mm = Vue.prototype.mm = 'OXuYieBb4eoIne^K'
import VueResource from 'vue-resource'

// 导入数组扩展
// import arryEx from './array/ArrayEx'
// 导入Trans
import Trans from "./trans/Trans"


import Partial from './plugins/Partial'
import MessageBoxPlugin from './plugins/MessageBox'
import HttpStore from '../src/plugins/HttpStore'
import HttpReset from '../src/plugins/HttpReset'
import HttpBatch from '../src/plugins/HttpBatch'
import RoutePlugin from '../src/plugins/Route'
import GetParams from '../src/plugins/GetParams'
import AlertBoxPlugin from './plugins/AlertBox'
import androidUtil from './plugins/androidUtil'
import Cookie from './plugins/Cookie'
import Async from './plugins/Async'
import Config from '../src/plugins/Config'
import EventBack from '../src/plugins/EventBack'
import EmbbedPage from '../src/components/EmbbedPage'
import FileTree from './components/FileTree.vue'
import FullScreen from './plugins/FullScreen'



import VueValidator from 'vue-validator'
import OwnValidator from './validation/OwnValidation'
import directives from './directives/directives'

import findBy from './filters/filter'

// 引入所有组件
import AppBase from './components/AppBase'
import Busy from './components/Busy'
import Criteria from './components/Criteria'
import CriteriaPaged from './components/CriteriaPaged'
import DataGrid from './components/DataGrid'
import GridTree from './components/GridTree'
import HttpBusy from './components/HttpBusy'
import List from './components/List'
import MessageBox from './components/MessageBox'
import Pager from './components/Pager'
import Tree from './components/Tree'
import Route from './components/Route'
import Dynamic from './components/Dynamic'
import FormPrint from './components/FormPrint'
import ReportPrint from './components/ReportPrint'
import ReportExcel from './components/ReportExcel'
import PrintData from './components/PrintData'
import PrintTable from './components/PrintTable'
import PrintElement from './components/PrintElement'
import PrintFile from './components/PrintFile'
import ReportSave from './components/ReportSave'
import LoadParams from './components/LoadParams'
import ExportExcel from './components/ExportExcel'
import ExportExcelPlus from './components/ExportExcelPlus'
import ExportExcelHand from './components/ExportExcelHand'
import FileUpload from './components/FileUpload'
import DataTable from './components/DataTable'
import CriteriaSbutatol from './components/CriteriaSbutatol'
import Chooser from './components/Chooser'
import SelectMenu from './components/SelectMenu'
import TopMenu from './components/TopMenu'
import PrintFormCont from './components/PrintFormCont'
import ImgSelf from './components/ImgSelf'
import ImgArea from './components/ImgArea'
import LeftIcon from './components/LeftIcon'
import CardGrid from './components/CardGrid'
import ManageParams from './components/ManageParams'
import EntityForm from './components/EntityForm'
import PartialView from './components/PartialView'
import VInput from './components/Input'
import DataOrder from './components/DataOrder'
import AvatarUpload from './components/AvatarUpload'
import Keyboard from './components/Keyboard'
import TextEditor from './components/TextEditor'
import CaseContainer from './components/CaseContainer'
import Timeline from './components/Timeline'
import TimelineItem from './components/TimelineItem'
import TreeGrid from './components/TreeGrid'
import TreeGridItem from './components/TreeGridItem'
import Sign from './components/Sign'
import NewSign from './components/NewSign'
import CriteriaData from './components/CriteriaData'
import Map from './components/MapTrack'
import Listener from './components/Listener'
import DataOrderType from './components/DataOrderType'
import HighMeter from './components/HighMeter'
import HighMeterIdCard from './components/HighMeterIdCard'
import ReadIdCard from './components/ReadIdCard'
import Search from './components/Search'
import Upload from './components/Upload'
import UploadIdCard from './components/UploadIdCard'
import LTUpload from './components/LTUpload'
import ApplyUpload from './components/ApplyUpload'
import LogSearch from './components/LogSearch'
import InquireLog from './components/InquireLog'
import CriteriaDataTrack from '../src/components/CriteriaDataTrack'
import MapTrack from '../src/components/MapTrack'
import IosSign from './components/IosSignn'
import AMap from './components/AMap'
import WorkBusy from './components/WorkBusy'
import GaoPaiYi from './components/GaoPaiYi'
// import Canvas from './components/Canvas'


// 安卓测试使用的组件
// 定时提取
import TimeOut from './androidtest/TimeOut'

// 引入vue-strap组件
import Tabset from './vue-strap/src/Tabset'
import Tab from './vue-strap/src/Tab'
import Modal from './vue-strap/src/Modal'
import VSelect from './vue-strap/src/Select'
import InputAndSelect from './vue-strap/src/InputAndSelect'
import Datepicker from './vue-strap/src/Datepicker'
import Typeahead from './vue-strap/src/Typeahead'
import Dropdown from './vue-strap/src/Dropdown'
import Spinner from './vue-strap/src/Spinner'
import Aside from './vue-strap/src/Aside'
import Tooltip from './vue-strap/src/Tooltip'
import Popover from './vue-strap/src/Popover'
import Alert from './vue-strap/src/Alert'
import Panel from './vue-strap/src/Panel'
import Accordion from './vue-strap/src/Accordion'
import Slider from './vue-strap/src/Slider'
import Carousel from './vue-strap/src/Carousel'

import VueLogger from '../src/plugins/VueLogger'
import LTGaoPaiYi from "./components/LTGaoPaiYi";

require('./client.less')
// 暂时先注掉 后期放开
// //引用bootstrap
// require('../bootstrap/less/bootstrap.less')
// //奥枫自定义样式
// require('../bootstrap/aofengcss.less')
/**
 * Todo : 服务器接收错误日志的地址
 * 该变量为前台日志错误后打印到的服务器url地址(在restful框架中,位置为/rs/log,请求类型是POST)
 * 列如：localhost:8080/rs/log/html  如果使用安卓或者ios则有对应的方法，填写即可
 * 默认为空字符串则不初始化Listener组件
 * 如果不执行all.js文件，但又想使用Listener组件，则直接在组件初始化之前对Vue.prototype.$server_url_str变量进行赋值即可
 * */
Vue.prototype.$server_url_str = ''

export default function () {
  Vue.config.debug = true
  Vue.use(VueResource)
  Vue.mixin(Partial)
  Vue.mixin(RoutePlugin)
  Vue.use(MessageBoxPlugin)
  Vue.use(HttpStore)
  Vue.use(HttpBatch)
  Vue.use(HttpReset)
  Vue.use(VueValidator)
  Vue.use(GetParams)
  Vue.use(VueLogger)
  Vue.use(AlertBoxPlugin)
  Vue.use(androidUtil)
  Vue.use(Cookie)
  Vue.use(Async)
  Vue.use(Config)
  Vue.use(EventBack)
  Vue.use(FullScreen)

  // 调用数组扩展
  // arryEx()
  global.Trans = Trans
  // 拓展数组去空值的方法
  Array.prototype.removeEmpty = function () {
    for (var i = 0; i < this.length; i++) {
      if (this[i] == "" || typeof (this[i]) == "undefined") {
        this.splice(i, 1);
        i--;
      }
    }
    return this;
  }
  // 全局注册基础组件
  Vue.component('app-base', AppBase)
  Vue.component('busy', Busy)
  Vue.component('criteria', Criteria)
  Vue.component('criteria-paged', CriteriaPaged)
  Vue.component('data-grid', DataGrid)
  Vue.component('grid-tree', GridTree)
  Vue.component('http-busy', HttpBusy)
  Vue.component('list', List)
  Vue.component('message-box', MessageBox)
  Vue.component('pager', Pager)
  Vue.component('tree', Tree)
  Vue.component('route', Route)
  Vue.component('dynamic', Dynamic)
  Vue.component('form-print', FormPrint)
  Vue.component('report-print', ReportPrint)
  Vue.component('report-excel', ReportExcel)
  Vue.component('print-data', PrintData)
  Vue.component('print-table', PrintTable)
  Vue.component('print-element', PrintElement)
  Vue.component('print-file', PrintFile)
  Vue.component('report-save', ReportSave)
  Vue.component('load-params', LoadParams)
  Vue.component('export-excel', ExportExcel)
  Vue.component('export-excel-plus', ExportExcelPlus)
  Vue.component('export-excel-hand', ExportExcelHand)
  Vue.component('file-upload', FileUpload)
  Vue.component('data-table', DataTable)
  Vue.component('criteria-sbutatol', CriteriaSbutatol)
  Vue.component('chooser', Chooser)
  Vue.component('select-menu', SelectMenu)
  Vue.component('top-menu', TopMenu)
  Vue.component('print-form-cont', PrintFormCont)
  Vue.component('img-self', ImgSelf)
  Vue.component('img-area', ImgArea)
  Vue.component('left-icon', LeftIcon)
  Vue.component('card-grid', CardGrid)
  Vue.component('manage-params', ManageParams)
  Vue.component('entity-form', EntityForm)
  Vue.component('partial-view', PartialView)
  Vue.component('v-input', VInput)
  Vue.component('data-order', DataOrder)
  Vue.component('avatar-upload', AvatarUpload)
  Vue.component('keyboard', Keyboard)
  Vue.component('text-editor', TextEditor)
  Vue.component('case-container', CaseContainer)
  Vue.component('timeline', Timeline)
  Vue.component('timeline-item', TimelineItem)
  Vue.component('tree-grid', TreeGrid)
  Vue.component('tree-grid-item', TreeGridItem)
  Vue.component('sign', Sign)
  Vue.component('new-sign', NewSign)
  Vue.component('ios-sign', IosSign)
  // Vue.component('canvas', Canvas)

  Vue.component('criteria-data', CriteriaData)
  Vue.component('map', Map)
  Vue.component('listener', Listener)
  Vue.component('data-order-type', DataOrderType)
  Vue.component('high-meter',HighMeter)
  Vue.component('high-meter-idcard',HighMeterIdCard)
  Vue.component('read-idcard',ReadIdCard)
  Vue.component('search',Search)
  Vue.component('upload',Upload)
  Vue.component('upload-idcard',UploadIdCard)
  Vue.component('LTupload',LTUpload)
  Vue.component('ApplyUpload',ApplyUpload)
  Vue.component('criteria-data-track',CriteriaDataTrack)
  Vue.component('map-track',MapTrack)

  // 注册安卓测试组件
  Vue.component('time-out', TimeOut)

  // 注册vue-strap组件
  Vue.component('tabset', Tabset)
  Vue.component('tab', Tab)
  Vue.component('modal', Modal)
  Vue.component('v-select', VSelect)
  Vue.component('input-select', InputAndSelect)
  Vue.component('datepicker', Datepicker)
  Vue.component('typeahead', Typeahead)
  Vue.component('dropdown', Dropdown)
  Vue.component('spinner', Spinner)
  Vue.component('aside', Aside)
  Vue.component('tooltip', Tooltip)
  Vue.component('popover', Popover)
  Vue.component('alert', Alert)
  Vue.component('accordion', Accordion)
  Vue.component('panel', Panel)
  Vue.component('carousel', Carousel)
  Vue.component('slider', Slider)
  Vue.component('embbed-page', EmbbedPage)
  Vue.component('file-tree', FileTree)
  Vue.component('log-search', LogSearch)
  Vue.component('amap', AMap)
  Vue.component('work-busy', WorkBusy)
  Vue.component('gao-pai-yi', GaoPaiYi)
  Vue.component('lt-gao-pai-yi', LTGaoPaiYi)
}
