// 对数组进行扩展，提供通用的函数
export default function extend () {
  // 求所有给定主键的值
  // keys: 主键值
  // keyName: 主键名
  // sumName: 求和字段
  Array.prototype.sum = function(keyName, sumName, keys) {
    return this.reduce(function(prev, curr, idx, arr){
      // 如果求和主键包括当前主键，进行累加，否则，不累加
      if (keys.find(function(v) {
          return v === curr[keyName]
        })) {
        return prev + curr[sumName];
      } else {
        return prev
      }
    }, 0)
  }
}
