// 查询出来的数据列表
import HttpResetClass from "../plugins/HttpResetClass";

export default class DataList {
  //当前加载到的数据结果
  data = []
  // 数据总数
  count = 0
  pagesize = 20
  pageindex = 1

  http = new HttpResetClass();
  //拼接好的条件
  condition=''
  //请求路径
  path=''
  //后台请求时需要携带的数据
  datas={}
  //是否还能加载数据-true/false
  loadMoreState=true

  /*path:请求路径
* condition：拼接的条件
* models不需要处理直接发送给后台的数据
* 是否开启多选
* */
  // 加载首页数据
  async loadData (path, condition,json2,check) {
    this.data=[]
    this.pageindex=1
    this.condition=condition
    this.path=path
    this.datas=Object.assign({},{condition: this.condition},json2,check)
    console.log(JSON.stringify(this.datas))
    // 加载总数
    let count = await this.http.load('POST', `${path}/n`,  {data:this.datas},{resolveMsg: null, rejectMsg: null})
    this.count = count.data.n
    // 加载首页数据
    let response = await this.http.load('POST', `${path}?pageNo=${this.pageindex}&pageSize=${this.pagesize}`, {data:this.datas},{resolveMsg: null, rejectMsg: null})
    this.data = response.data
    this.loadMoreState=this.count>this.data.length?true:false
  }

  // 加载更多数据
  async loadMore () {
    this.pageindex += 1
    this.datas.checkes=JSON.stringify(this.datas.checkes)
    let response = await this.http.load('POST', `${this.path}?pageNo=${this.pageindex}&pageSize=${this.pagesize}`, {data:this.datas},{resolveMsg: null, rejectMsg: null})
    this.data = this.data.concat(response.data)
    this.loadMoreState=this.count>this.data.length?true:false
  }
}
