// import Vue from 'vue'
import co from 'co'
import HttpResetClass from '../plugins/HttpResetClass'

let postGen = function * (self, services) {
  for (var i = 1; i <= services.length; i++) {
    try {
      yield self.http.load('POST', services[i].path, services[i].param, {resolveMsg: null, rejectMsg: null})
    } catch (e) {
      this.$showMessage(`执行${services[i].path}失败，失败原因：${JSON.stringify(e)}`)
    }
  }
}

export default class PagedList {

  constructor (...services) {
    this.services = services
    this.http = new HttpResetClass()
  }
  save () {
    let gen = postGen(this, this.services)
    co(gen)
  }
}
