import Vue from "vue";

export default {
  // 开始事务获取到事务id号
  async begin () {
    let result = await Vue.resetget('rs/trans')
    global.session = result.data
  },

  // 回滚事务
  async rollback() {
    await Vue.resetget(`rs/trans/rollback/${global.session}`)
    global.session = null
  },

  // 提交事务
  async commit() {
    await Vue.resetget(`rs/trans/commit/${global.session}`)
    global.session = null
  }
}
