import Test from 'src/test/Test'
import TestUtil from 'src/test/TestUtil'
import all from 'src/all'

describe('Test: 测试组件', () => {
  describe('first: 看看', () => {
    before(() => {
      console.log('first before')
    })

    it('first', () => {
      console.log('first test')
    })
  })
  describe('second: 实际', () => {
    let vm = null
    before(() => {
      console.log('sencond before')
      all()
      return TestUtil.createAsyncTest(Test, {p1: '测试1', p2: {age: 3}}).then((resolve) => {
        vm = resolve
      })
    })

    it('組件正常显示', () => {
      console.log('sencond test')
      assert.equal(vm.p1, '测试1')
      assert.equal(vm.x, '测试1here')
      assert.equal(vm.y, 8)
    })
  })
})

// also see example testing a component with mocks at
// https://github.com/vuejs/vue-loader-example/blob/master/test/unit/a.spec.js#L24-L49
